Skip to main content
POST
/
basket
/
discounts
Apply Basket Discount
curl --request POST \
  --url https://api.nuwebgroup.com/v1/basket/discounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "basketId": 1,
  "code": "CZD123"
}
'
{
  "id": 5,
  "currencyId": 1,
  "currencySymbol": "Β£",
  "currencyCode": "GBP",
  "hasExpired": false,
  "expiresAt": "2021-01-13T11:03:55.000000Z",
  "expiresAtMilliseconds": 1610535835,
  "items": [],
  "orderItems": [],
  "count": 0,
  "totalExTax": 0,
  "discount": null,
  "tax": 0,
  "taxBreakdown": [],
  "total": 0,
  "totalDeferred": 0,
  "hasTaxes": false,
  "hasDiscounts": false,
  "hasDeferredPayments": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for adding a discount code to the basket

basketId
integer

Specified the basket ID in which the item is being added to. If this is not present, a new basket will be created. Basket IDs and Order IDs can be used interchangeably.

code
string

The discount code

Response

Successfully added discount to basket.

id
integer
currencyId
integer
currencySymbol
string
currencyCode
string
hasExpired
boolean
expiresAt
string
expiresAtMilliseconds
integer
items
object[]
orderItems
object[]
count
integer
totalExTax
integer
discount
object

The first applied discount code, or null if none.

tax
integer
taxBreakdown
object[]
total
integer
totalDeferred
integer
hasTaxes
boolean
hasDiscounts
boolean
hasDeferredPayments
boolean